class CreateAssignedOrderItems < ActiveRecord::Migration[5.1]
  def change
    create_table :assigned_order_items, :id => false do |t|
      t.string :assigned_order_item_id, :limit => 16, :primary_key => true #custom primary key - to ensure consistence for cloud syncing
      t.string     :item_code, :null => false, :index => true
      t.references :order_queue_station, foreign_key: true
      t.string :order_id, foreign_key: true, :limit => 16
      t.boolean :print_status
      t.boolean :delivery_status

      t.timestamps
    end
  end
end
